<template>
  <div>
    <el-radio-group v-model="objectId">
      <el-radio
        v-for="(object, index) in objectList"
        :key="index"
        :label="object.id"
      >{{ object.name }}</el-radio>
    </el-radio-group>
  </div>
</template>

<script>
export default {
  name: 'ObjectPanel',
  props: {
    id: {
      type: [Number, String],
      default: 0
    }
  },
  data() {
    return {
      objectList: [
        {
          name: 'object1',
          id: '1'
        },
        {
          name: 'object2',
          id: '2'
        }
      ],
      objectId: '1',
      propIds: []
    }
  },
  watch: {
    id(val) {
      console.log(val)
    }
  }
}
</script>

<style scoped>

</style>
